Bug 1184903 - GCC5
Summary: GCC5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 12:27 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== GCC 5 == The GNU Compiler Collection (GCC) has been upgraded to version 5.x, and Fedora packages with dependencies on specific versions of GCC have been rebuilt with this new version. This update provides a large number of bug fixes and enhancements. The notable newly supported features and changes are: * Improved C++11 and added C++14 support * The default mode for C is now '-std=gnu11' instead of '-std=gnu89'. * OpenMP 4.0 offloading support * OpenACC 2.0 support * Improved vectorization support See the GCC 5 Release Notes (https://gcc.gnu.org/gcc-5/changes.html) for a full list of changes. For help with porting packages previously built with an earlier version of GCC, see the Porting to GCC5 document (https://gcc.gnu.org/gcc-5/porting_to.html).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-22 12:27:29 UTC
This is a tracking bug for Change: GCC5
For more details, see: https://fedoraproject.org//wiki/Changes/GCC5

Switch GCC in Fedora 22 to 5.x.y, rebuild some packages with it.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:45 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Jaroslav Reznik 2015-02-23 15:03:58 UTC
GCC 5 landed in Fedora 22.

Comment 3 Jaroslav Reznik 2015-03-24 11:41:44 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 4 Petr Bokoc 2015-04-08 17:33:20 UTC
Hi Jakub, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please take a look at the draft I wrote in the Doc Text field, and let me know if this text is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 5 Marek Polacek 2015-04-08 17:40:06 UTC
I'd say that the C++14 support is full, not partial.

Comment 6 Jakub Jelinek 2015-04-08 17:48:21 UTC
Instead of 5.0.x, you probably should write just 5.x, or 5.1.1 (the GA release, hopefully in a week or two, will be 5.1.0, and 5.1.1 will be the snapshots from the release branch until 5.2.0 is shipped (most likely 2 months after that or so).

Comment 7 Petr Bokoc 2015-04-09 11:34:03 UTC
Thanks, guys. Both are fixed now.


Note You need to log in before you can comment on or make changes to this bug.